using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HaloObjects;

namespace HaloPlugins.Xbox
{
    public class mdlg
    {
       public List<MetaNode> Fields = new List<MetaNode>();

       public mdlg()
       {
           Fields.AddRange(new MetaNode[] {
           new Reflexive("Lines", 16, new MetaNode[] { 
               new StringID("Name"),
               new Reflexive("Variants", 16, new MetaNode[] { 
                   new StringID("Name"),
                   new TagReference("Sound"),
                   new Unused(4),
               }),
               new StringID("Default Sound Effect"),
           }),
           });
       }
    }
}
